> For the complete documentation index, see [llms.txt](https://synap.ac/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://synap.ac/docs/api/practical-tips.md).

# Practical Tips

### Navigating the API

Our API is extensive, covering all of the functionality across the entire Synap platform. It is likely that you will only need a handful of endpoints for your use case.&#x20;

If you are unsure where to start, we strongly recommend that the best way to explore the API is to navigate on the platform itself, with DevTools or Inspect mode open, and to look at the requests being made. You can copy these as cURL requests into an LLM or tool such as Postman.&#x20;

The requests made from the Synap platform all use this API - so you can copy those requests to get an idea of what requests are being used and how they are structured, and simply replace the session token with your PAT.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://synap.ac/docs/api/practical-tips.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
